%define rname russian_hot_keys_bugfix
%define cid \{6ce34cd0-56fa-11db-b0de-0800200c9a66\}
%define ciddir %firefox_noarch_extensionsdir/%cid

Name: %firefox_name-%rname
Version: 1.4.1
Release: alt1
Summary: Russian hot keys bugfix for Firefox

License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/ru/firefox/addon/3529

Source0: %rname-%version-fx+mz+tb+sm+fl.xpi

BuildArch: noarch
BuildRequires: rpm-build-firefox unzip

Requires: %firefox_name >= 1.5

Packager: Igor Zubkov <icesik@altlinux.org>

%description
Makes hot keys work with Russian and Ukrainian keyboard layout in Firefox.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sat Nov 24 2007 Igor Zubkov <icesik@altlinux.org> 1.4.1-alt1
- 1.4 -> 1.4.1

* Wed Aug 22 2007 Igor Zubkov <icesik@altlinux.org> 1.4-alt1
- build for Sisyphus

